1 Reply Latest reply on Oct 13, 2020 12:20 PM by ayman.jehad

    Avnet SmartEdge IoT Gateway - Docker installation

    ayman.jehad

      Has anyone installed Docker on this gateway?

      I'm trying to configure the Losant edge-agent, but not able to install the Docker.

      I'm not sure if it's compatible with the Raspbian Stretch or Buster.

       

      I tried building the gateway with both images 2019 & 2020 without luck.

       

      This is what I'm getting:

       

      avnet@raspberrypi:~/Downloads $ sudo apt-get install docker.ce

      Reading package lists... Done

      Building dependency tree

      Reading state information... Done

      Note, selecting 'docker-ce' for regex 'docker.ce'

      Note, selecting 'docker-ce-cli' for regex 'docker.ce'

      The following additional packages will be installed:

        pigz

      The following packages will be REMOVED:

        docker.io

      The following NEW packages will be installed:

        docker-ce docker-ce-cli pigz

      0 upgraded, 3 newly installed, 1 to remove and 7 not upgraded.

      Need to get 50.0 kB/47.5 MB of archives.

      After this operation, 182 MB of additional disk space will be used.

      Do you want to continue? [Y/n] y

      Get:1 http://mirror.nl.leaseweb.net/raspbian/raspbian stretch/main armhf pigz armhf 2.3.4-1 [50.0 kB]

      Fetched 50.0 kB in 1s (31.6 kB/s)

      (Reading database ... 107882 files and directories currently installed.)

      Removing docker.io (1.8.3~ds1-2) ...

      Selecting previously unselected package pigz.

      (Reading database ... 107791 files and directories currently installed.)

      Preparing to unpack .../pigz_2.3.4-1_armhf.deb ...

      Unpacking pigz (2.3.4-1) ...

      Selecting previously unselected package docker-ce-cli.

      Preparing to unpack .../docker-ce-cli_5%3a19.03.13~3-0~raspbian-stretch_armhf.deb ...

      Unpacking docker-ce-cli (5:19.03.13~3-0~raspbian-stretch) ...

      Selecting previously unselected package docker-ce.

      Preparing to unpack .../docker-ce_5%3a19.03.13~3-0~raspbian-stretch_armhf.deb ...

      Unpacking docker-ce (5:19.03.13~3-0~raspbian-stretch) ...

      Processing triggers for systemd (232-25+deb9u12) ...

      Processing triggers for man-db (2.7.6.1-2) ...

      Setting up docker-ce-cli (5:19.03.13~3-0~raspbian-stretch) ...

      Setting up pigz (2.3.4-1) ...

      Setting up docker-ce (5:19.03.13~3-0~raspbian-stretch) ...

      Installing new version of config file /etc/default/docker ...

      Installing new version of config file /etc/init.d/docker ...

      Installing new version of config file /etc/init/docker.conf ...

      Job for docker.service failed because the control process exited with error code.

      See "systemctl status docker.service" and "journalctl -xe" for details.

      invoke-rc.d: initscript docker, action "start" failed.

      ‚óŹ docker.service - Docker Application Container Engine

         Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: enabled)

         Active: activating (auto-restart) (Result: exit-code) since Mon 2020-10-12 23:31:26 BST; 43ms ago

           Docs: https://docs.docker.com

        Process: 16349 ExecStart=/usr/bin/dockerd -H fd:// --containerd=/run/containerd/containerd.sock (code=exited, status=1/FAILURE)

      Main PID: 16349 (code=exited, status=1/FAILURE)

            CPU: 405ms

       

       

      Oct 12 23:31:26 raspberrypi systemd[1]: docker.service: Unit entered failed state.

      Oct 12 23:31:26 raspberrypi systemd[1]: docker.service: Failed with result 'exit-code'.

      dpkg: error processing package docker-ce (--configure):

      subprocess installed post-installation script returned error exit status 1

      Processing triggers for systemd (232-25+deb9u12) ...

      Errors were encountered while processing:

      docker-ce

      E: Sub-process /usr/bin/dpkg returned an error code (1)